#include <typeinfo>
#include <msp/debug/demangle.h>
#include <msp/io/print.h>
#include "application.h"

using namespace std;

namespace Msp {

void Application::display_exception(const exception &e)
{
	IO::print(IO::cerr, "An uncaught exception occurred.\n");
	IO::print(IO::cerr, "  type:   %s\n", Debug::demangle(typeid(e).name()));
	IO::print(IO::cerr, "  what(): %s\n", e.what());
}

} // namespace Msp
