#include <windows.h>
#include <typeinfo>
#include <msp/debug/demangle.h>
#include "application.h"

using namespace std;

namespace Msp {

void Application::display_exception(const exception &e)
{
	string msg = Debug::demangle(typeid(e).name())+":\n"+e.what();
	MessageBoxA(0, msg.c_str(), "Uncaught exception", MB_OK|MB_ICONERROR);
}

} // namespace Msp
